Send DTMF to conference participants
Send DTMF tones to one or more conference participants.
POST
/
conferences
/
{id}
/
actions
/
send_dtmf
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.conferences.actions.sendDtmf('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
digits: '1234#',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.conferences.actions.send_dtmf(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
digits="1234#",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Conferences.Actions.SendDtmf(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.ConferenceActionSendDtmfParams{
Digits: "1234#",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.actions.ActionSendDtmfParams;
import com.telnyx.sdk.models.conferences.actions.ActionSendDtmfResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionSendDtmfParams params = ActionSendDtmfParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.digits("1234#")
.build();
ActionSendDtmfResponse response = client.conferences().actions().sendDtmf(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.conferences.actions.send_dtmf("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", digits: "1234#")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->conferences->actions->sendDtmf(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
digits: '1234#',
callControlIDs: [
'v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg'
],
clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
durationMillis: 250,
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx conferences:actions send-dtmf \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--digits '1234#'curl --request POST \
--url https://api.telnyx.com/v2/conferences/{id}/actions/send_dtmf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"digits": "1234#",
"duration_millis": 250
}
'{
"data": {
"result": "ok"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies the conference.
Body
application/json
DTMF digits to send. Valid characters: 0-9, A-D, *, #, w (0.5s pause), W (1s pause).
Example:
"1234#"
Array of participant call control IDs to send DTMF to. When empty, DTMF will be sent to all participants.
Example:
[
"v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg"
]
Duration of each DTMF digit in milliseconds.
Required range:
100 <= x <= 500Example:
250
Use this field to add state to every subsequent webhook. Must be a valid Base-64 encoded string.
Example:
"aGF2ZSBhIG5pY2UgZGF5ID1d"
Response
Successful response upon making a conference command.
Show child attributes
Show child attributes
Example:
{ "result": "ok" }
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const response = await client.conferences.actions.sendDtmf('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
digits: '1234#',
});
console.log(response.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
response = client.conferences.actions.send_dtmf(
id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
digits="1234#",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Conferences.Actions.SendDtmf(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
telnyx.ConferenceActionSendDtmfParams{
Digits: "1234#",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.actions.ActionSendDtmfParams;
import com.telnyx.sdk.models.conferences.actions.ActionSendDtmfResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ActionSendDtmfParams params = ActionSendDtmfParams.builder()
.id("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.digits("1234#")
.build();
ActionSendDtmfResponse response = client.conferences().actions().sendDtmf(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
response = telnyx.conferences.actions.send_dtmf("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", digits: "1234#")
puts(response)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$response = $client->conferences->actions->sendDtmf(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
digits: '1234#',
callControlIDs: [
'v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg'
],
clientState: 'aGF2ZSBhIG5pY2UgZGF5ID1d',
durationMillis: 250,
);
var_dump($response);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx conferences:actions send-dtmf \
--api-key 'My API Key' \
--id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--digits '1234#'curl --request POST \
--url https://api.telnyx.com/v2/conferences/{id}/actions/send_dtmf \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"digits": "1234#",
"duration_millis": 250
}
'{
"data": {
"result": "ok"
}
}